
Redmine - Defect #24309

Setting page for repository does not scroll horizontally on small screens

2016-11-09 16:06 - Dmitry Lisichkin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 3.4.7   

Resolution: Fixed Affected version:  

Description

Horizontall scroll bar is missed on settings page for repository.

Problem appears after #20632 (because overflow: hidden; on #wrapper)

We can wrap repositories table with .autoscroll ofcouse or even do it in common/_tabs.html.erb

But maybe it would be better to remove overflow: hidden; from #wrapper?

I dont know what is the best way to fix this and want to discuss because this problem may affect many other pages.

I think that turning off horizontal scroll completely is not a good idea.

Similar problems:

#22336

#21808#note-5

Related issues:

Related to Redmine - Patch #22336: Revision Table does not scroll horizontall... Closed

Related to Redmine - Defect #28523: Display horizontal scroll bar of plugins ... Closed

Associated revisions

Revision 17447 - 2018-07-16 04:01 - Go MAEDA

Setting page for repository does not scroll horizontally on small screens (#24309).

Patch by Tomomi Yuzuriha.

Revision 17448 - 2018-07-16 04:03 - Go MAEDA

Merged r17447 from trunk to 3.4-stable (#24309).

History

#1 - 2016-11-23 11:41 - Toshi MARUYAMA

- Description updated

#2 - 2018-06-04 11:54 - Go MAEDA

- Related to Patch #22336: Revision Table does not scroll horizontally on small screens added

#3 - 2018-06-04 12:02 - Go MAEDA

- Related to Defect #28523: Display horizontal scroll bar of plugins table when overflow occurs on small screen added

#4 - 2018-06-04 12:04 - Go MAEDA

- Category changed from UI to UI - Responsive

- Target version set to Candidate for next minor release

#5 - 2018-07-13 10:25 - Tomomi Yuzuriha

- File displaying_the_scroll_bar_on_settings_page_for_repository.patch added

I felt it was difficult to judge whether deleting "overflow: hidden; on # wrapper" would be fine or not, Because the range of #wrapper is too big.

So, I propose a patch using the same way as #22336 (displaying the scroll bar using .autoscroll).

2025-08-23 1/2

https://www.redmine.org/issues/20632
https://www.redmine.org/issues/22336
https://www.redmine.org/issues/21808#note-5
https://www.redmine.org/issues/22336


#6 - 2018-07-14 03:41 - Go MAEDA

- Subject changed from Horizontal scrollbar is missing to Horizontal scrollbar is missing on settings page for repository

- Target version changed from Candidate for next minor release to 3.4.7

The very similar fixes were already delivered by #22336 and #28523. Setting the target version to 3.4.7.

#7 - 2018-07-16 04:01 - Go MAEDA

- Status changed from New to Resolved

#8 - 2018-07-16 04:05 - Go MAEDA

- Subject changed from Horizontal scrollbar is missing on settings page for repository to Setting page for repository does not scroll horizontally on

small screens

- Status changed from Resolved to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you all for reporting and fixing this issue.
